classification
Title: Can't build ctypes of Python 2.5.2 with Sun Studio 12
Type: compile error Stage:
Components: ctypes Versions: Python 2.5
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: theller Nosy List: mschmarck, theller
Priority: normal Keywords:

Created on 2008-09-05 07:48 by mschmarck, last changed 2008-09-05 18:48 by theller. This issue is now closed.

Messages (4)
msg72576 - (view) Author: Michael Schmarck (mschmarck) Date: 2008-09-05 07:48
Compilation of ctypes fails:


cc -G
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/_ctypes.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/callbacks.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/callproc.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/stgdict.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/cfield.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/malloc_closure.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src/prep_cif.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src/sparc/ffi.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src/sparc/v8.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src/sparc/v9.o
-L/export/home/webservd/.software/Python-2.5.2/lib -L/usr/local/lib
-lpython2.5 -o build/lib.solaris-2.10-sun4u-2.5/_ctypes.so -mimpure-text
cc: Warning: illegal option -mimpure-text
*** WARNING: renaming "_ctypes" since importing it failed: ld.so.1:
python: fatal: relocation error: file
build/lib.solaris-2.10-sun4u-2.5/_ctypes.so: symbol alloca: referenced
symbol not found
running build_scripts


To configure Python 2.5.2, I ran:

./configure --disable-ipv6 --enable-shared --without-gcc --with-threads
--with-doc-strings --prefix=$HOME/.software/Python-2.5.2

Versions:

--($ ~/Source/Python-2.5.2)-- CC -V
CC: Sun C++ 5.9 SunOS_sparc Patch 124863-01 2007/07/25

--($ ~/Source/Python-2.5.2)-- cc -V
cc: Sun C 5.9 SunOS_sparc Patch 124867-01 2007/07/12
usage: cc [ options] files.  Use 'cc -flags' for details

--($ ~/Source/Python-2.5.2)-- /opt/SUNWspro/bin/version
Machine hardware:   sun4u
OS version:         5.10
Processor type:     sparc
Hardware:           SUNW,Sun-Fire-480R

The following components are installed on your system:


Sun Studio 12
        Sun Studio 12 C Compiler
        Sun Studio 12 C++ Compiler
        Sun Studio 12 Tools.h++ 7.1
        Sun Studio 12 C++ Standard 64-bit Class Library
        Sun Studio 12 Garbage Collector 
        Sun Studio 12 Fortran 95 
        Sun Studio 12 Debugging Tools (including dbx)
        Sun Studio 12 IDE
        Sun Studio 12 Debugger GUI
        Sun Studio 12 Performance Analyzer (including collect, ...)
        Sun Studio 12 X-Designer 
        Sun Studio 12 VIM editor
        Sun Studio 12 XEmacs editor
        Sun Studio 12 Performance Library 
        Sun Studio 12 LockLint
        Sun Studio 12 Building Software (including dmake)
        Sun Studio 12 Documentation Set

version of "/opt/SUNWspro/bin/../prod/bin/../../bin/cc": Sun C 5.9
SunOS_sparc Patch 124867-01 2007/07/12
version of "/opt/SUNWspro/bin/../prod/bin/../../bin/CC": Sun C++ 5.9
SunOS_sparc Patch 124863-01 2007/07/25
version of "/opt/SUNWspro/bin/../prod/bin/../../bin/f90": Sun Fortran 95
8.3 SunOS_sparc Patch 127000-01 2007/07/18
version of "/opt/SUNWspro/bin/../prod/bin/../../bin/dbx": Sun Dbx
Debugger 7.6 SunOS_sparc Patch 124872-01 2007/07/12
version of "/opt/SUNWspro/bin/../prod/bin/../../bin/analyzer": Sun
Analyzer 7.6 SunOS_sparc Patch 126995-01 2007/07/17
version of "/opt/SUNWspro/bin/../prod/bin/../../bin/dmake": Sun
Distributed Make 7.8 SunOS_sparc Patch 126503-01 2007/07/19





--($ ~/Source/Python-2.5.2)-- LC_ALL=C gmake
case $MAKEFLAGS in \
        *-s*) LD_LIBRARY_PATH=/export/home/webservd/Source/Python-2.5.2:
CC='cc' LDSHARED='cc -G' OPT='-DNDEBUG -O' ./python -E ./setup.py -q
build;; \
        *) LD_LIBRARY_PATH=/export/home/webservd/Source/Python-2.5.2:
CC='cc' LDSHARED='cc -G' OPT='-DNDEBUG -O' ./python -E ./setup.py build;; \
        esac
running build
running build_ext
INFO: Can't locate Tcl/Tk libs and/or headers
building '_ctypes' extension
cc -xcode=pic32 -OPT:Olimit=0 -DNDEBUG -O -I.
-I/export/home/webservd/Source/Python-2.5.2/./Include
-Ibuild/temp.solaris-2.10-sun4u-2.5/libffi/include
-Ibuild/temp.solaris-2.10-sun4u-2.5/libffi
-I/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src
-I/export/home/webservd/.software/Python-2.5.2/include -I. -IInclude
-I./Include -I/usr/local/include
-I/export/home/webservd/Source/Python-2.5.2/Include
-I/export/home/webservd/Source/Python-2.5.2 -c
/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/_ctypes.c -o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/_ctypes.o
cc: Warning: illegal option -OPT:Olimit=0
"/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/_ctypes.c",
line 2255: warning: statement not reached
"/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/_ctypes.c",
line 2820: warning: assignment type mismatch:
        pointer to void "=" pointer to function(void) returning int
"/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/_ctypes.c",
line 3382: warning: argument #1 is incompatible with prototype:
        prototype: pointer to function(void) returning int :
"/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/ctypes.h",
line 270
        argument : pointer to void
"/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/_ctypes.c",
line 4780: warning: argument #1 is incompatible with prototype:
        prototype: pointer to void :
"/export/home/webservd/Source/Python-2.5.2/./Include/longobject.h", line 39
        argument : pointer to function(pointer to void, pointer to const
void, unsigned int) returning pointer to void
"/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/_ctypes.c",
line 4781: warning: argument #1 is incompatible with prototype:
        prototype: pointer to void :
"/export/home/webservd/Source/Python-2.5.2/./Include/longobject.h", line 39
        argument : pointer to function(pointer to void, int, unsigned
int) returning pointer to void
"/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/_ctypes.c",
line 4782: warning: argument #1 is incompatible with prototype:
        prototype: pointer to void :
"/export/home/webservd/Source/Python-2.5.2/./Include/longobject.h", line 39
        argument : pointer to function(pointer to const char, int)
returning pointer to struct _object {int ob_refcnt, pointer to struct
_typeobject {..} ob_type}
"/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/_ctypes.c",
line 4783: warning: argument #1 is incompatible with prototype:
        prototype: pointer to void :
"/export/home/webservd/Source/Python-2.5.2/./Include/longobject.h", line 39
        argument : pointer to function(pointer to void, pointer to
struct _object {int ob_refcnt, pointer to struct _typeobject {..}
ob_type}, pointer to struct _object {int ob_refcnt, pointer to struct
_typeobject {..} ob_type}) returning pointer to struct _object {int
ob_refcnt, pointer to struct _typeobject {..} ob_type}
"/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/_ctypes.c",
line 4785: warning: argument #1 is incompatible with prototype:
        prototype: pointer to void :
"/export/home/webservd/Source/Python-2.5.2/./Include/longobject.h", line 39
        argument : pointer to function(pointer to const long, int)
returning pointer to struct _object {int ob_refcnt, pointer to struct
_typeobject {..} ob_type}
cc -xcode=pic32 -OPT:Olimit=0 -DNDEBUG -O -I.
-I/export/home/webservd/Source/Python-2.5.2/./Include
-Ibuild/temp.solaris-2.10-sun4u-2.5/libffi/include
-Ibuild/temp.solaris-2.10-sun4u-2.5/libffi
-I/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src
-I/export/home/webservd/.software/Python-2.5.2/include -I. -IInclude
-I./Include -I/usr/local/include
-I/export/home/webservd/Source/Python-2.5.2/Include
-I/export/home/webservd/Source/Python-2.5.2 -c
/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/callbacks.c -o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/callbacks.o
cc: Warning: illegal option -OPT:Olimit=0
cc -xcode=pic32 -OPT:Olimit=0 -DNDEBUG -O -I.
-I/export/home/webservd/Source/Python-2.5.2/./Include
-Ibuild/temp.solaris-2.10-sun4u-2.5/libffi/include
-Ibuild/temp.solaris-2.10-sun4u-2.5/libffi
-I/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src
-I/export/home/webservd/.software/Python-2.5.2/include -I. -IInclude
-I./Include -I/usr/local/include
-I/export/home/webservd/Source/Python-2.5.2/Include
-I/export/home/webservd/Source/Python-2.5.2 -c
/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/callproc.c -o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/callproc.o
cc: Warning: illegal option -OPT:Olimit=0
"/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/callproc.c",
line 668: warning: argument #2 is incompatible with prototype:
        prototype: pointer to function(void) returning void :
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi.h", line 272
        argument : pointer to void
"/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/callproc.c",
line 921: warning: implicit function declaration: alloca
"/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/callproc.c",
line 975: warning: improper pointer/integer combination: op "="
"/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/callproc.c",
line 1304: warning: argument #1 is incompatible with prototype:
        prototype: pointer to function(void) returning int :
"/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/callproc.c",
line 905
        argument : pointer to void
"/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/callproc.c",
line 1335: warning: argument #1 is incompatible with prototype:
        prototype: pointer to function(void) returning int :
"/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/callproc.c",
line 905
        argument : pointer to void
cc -xcode=pic32 -OPT:Olimit=0 -DNDEBUG -O -I.
-I/export/home/webservd/Source/Python-2.5.2/./Include
-Ibuild/temp.solaris-2.10-sun4u-2.5/libffi/include
-Ibuild/temp.solaris-2.10-sun4u-2.5/libffi
-I/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src
-I/export/home/webservd/.software/Python-2.5.2/include -I. -IInclude
-I./Include -I/usr/local/include
-I/export/home/webservd/Source/Python-2.5.2/Include
-I/export/home/webservd/Source/Python-2.5.2 -c
/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/stgdict.c -o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/stgdict.o
cc: Warning: illegal option -OPT:Olimit=0
cc -xcode=pic32 -OPT:Olimit=0 -DNDEBUG -O -I.
-I/export/home/webservd/Source/Python-2.5.2/./Include
-Ibuild/temp.solaris-2.10-sun4u-2.5/libffi/include
-Ibuild/temp.solaris-2.10-sun4u-2.5/libffi
-I/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src
-I/export/home/webservd/.software/Python-2.5.2/include -I. -IInclude
-I./Include -I/usr/local/include
-I/export/home/webservd/Source/Python-2.5.2/Include
-I/export/home/webservd/Source/Python-2.5.2 -c
/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/cfield.c -o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/cfield.o
cc: Warning: illegal option -OPT:Olimit=0
cc -xcode=pic32 -OPT:Olimit=0 -DNDEBUG -O -I.
-I/export/home/webservd/Source/Python-2.5.2/./Include
-Ibuild/temp.solaris-2.10-sun4u-2.5/libffi/include
-Ibuild/temp.solaris-2.10-sun4u-2.5/libffi
-I/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src
-I/export/home/webservd/.software/Python-2.5.2/include -I. -IInclude
-I./Include -I/usr/local/include
-I/export/home/webservd/Source/Python-2.5.2/Include
-I/export/home/webservd/Source/Python-2.5.2 -c
/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/malloc_closure.c
-o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/malloc_closure.o
cc: Warning: illegal option -OPT:Olimit=0
cc -xcode=pic32 -OPT:Olimit=0 -DNDEBUG -O -I.
-I/export/home/webservd/Source/Python-2.5.2/./Include
-Ibuild/temp.solaris-2.10-sun4u-2.5/libffi/include
-Ibuild/temp.solaris-2.10-sun4u-2.5/libffi
-I/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src
-I/export/home/webservd/.software/Python-2.5.2/include -I. -IInclude
-I./Include -I/usr/local/include
-I/export/home/webservd/Source/Python-2.5.2/Include
-I/export/home/webservd/Source/Python-2.5.2 -c
/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src/prep_cif.c
-o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src/prep_cif.o
cc: Warning: illegal option -OPT:Olimit=0
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
77: warning:  attribute "__mode__" is unknown, ignored
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
77: warning: attribute parameter "__QI__" is undefined
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
78: warning:  attribute "__mode__" is unknown, ignored
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
78: warning: attribute parameter "__QI__" is undefined
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
79: warning:  attribute "__mode__" is unknown, ignored
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
79: warning: attribute parameter "__HI__" is undefined
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
80: warning:  attribute "__mode__" is unknown, ignored
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
80: warning: attribute parameter "__HI__" is undefined
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
81: warning:  attribute "__mode__" is unknown, ignored
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
81: warning: attribute parameter "__SI__" is undefined
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
82: warning:  attribute "__mode__" is unknown, ignored
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
82: warning: attribute parameter "__SI__" is undefined
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
83: warning:  attribute "__mode__" is unknown, ignored
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
83: warning: attribute parameter "__DI__" is undefined
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
84: warning:  attribute "__mode__" is unknown, ignored
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
84: warning: attribute parameter "__DI__" is undefined
cc -xcode=pic32 -OPT:Olimit=0 -DNDEBUG -O -I.
-I/export/home/webservd/Source/Python-2.5.2/./Include
-Ibuild/temp.solaris-2.10-sun4u-2.5/libffi/include
-Ibuild/temp.solaris-2.10-sun4u-2.5/libffi
-I/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src
-I/export/home/webservd/.software/Python-2.5.2/include -I. -IInclude
-I./Include -I/usr/local/include
-I/export/home/webservd/Source/Python-2.5.2/Include
-I/export/home/webservd/Source/Python-2.5.2 -c
/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src/sparc/ffi.c
-o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src/sparc/ffi.o
cc: Warning: illegal option -OPT:Olimit=0
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
77: warning:  attribute "__mode__" is unknown, ignored
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
77: warning: attribute parameter "__QI__" is undefined
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
78: warning:  attribute "__mode__" is unknown, ignored
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
78: warning: attribute parameter "__QI__" is undefined
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
79: warning:  attribute "__mode__" is unknown, ignored
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
79: warning: attribute parameter "__HI__" is undefined
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
80: warning:  attribute "__mode__" is unknown, ignored
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
80: warning: attribute parameter "__HI__" is undefined
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
81: warning:  attribute "__mode__" is unknown, ignored
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
81: warning: attribute parameter "__SI__" is undefined
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
82: warning:  attribute "__mode__" is unknown, ignored
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
82: warning: attribute parameter "__SI__" is undefined
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
83: warning:  attribute "__mode__" is unknown, ignored
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
83: warning: attribute parameter "__DI__" is undefined
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
84: warning:  attribute "__mode__" is unknown, ignored
"build/temp.solaris-2.10-sun4u-2.5/libffi/include/ffi_common.h", line
84: warning: attribute parameter "__DI__" is undefined
"/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src/sparc/ffi.c",
line 399: warning: argument #1 is incompatible with prototype:
        prototype: pointer to void :
"/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src/sparc/ffi.c",
line 363
        argument : pointer to function(pointer to char, pointer to
struct  {pointer to struct  {..} cif, pointer to void rvalue, pointer to
pointer to void avalue}) returning void
cc -xcode=pic32 -OPT:Olimit=0 -DNDEBUG -O -I.
-I/export/home/webservd/Source/Python-2.5.2/./Include
-Ibuild/temp.solaris-2.10-sun4u-2.5/libffi/include
-Ibuild/temp.solaris-2.10-sun4u-2.5/libffi
-I/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src
-I/export/home/webservd/.software/Python-2.5.2/include -I. -IInclude
-I./Include -I/usr/local/include
-I/export/home/webservd/Source/Python-2.5.2/Include
-I/export/home/webservd/Source/Python-2.5.2 -c
/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src/sparc/v8.S
-o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src/sparc/v8.o
cc: Warning: illegal option -OPT:Olimit=0
cc -xcode=pic32 -OPT:Olimit=0 -DNDEBUG -O -I.
-I/export/home/webservd/Source/Python-2.5.2/./Include
-Ibuild/temp.solaris-2.10-sun4u-2.5/libffi/include
-Ibuild/temp.solaris-2.10-sun4u-2.5/libffi
-I/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src
-I/export/home/webservd/.software/Python-2.5.2/include -I. -IInclude
-I./Include -I/usr/local/include
-I/export/home/webservd/Source/Python-2.5.2/Include
-I/export/home/webservd/Source/Python-2.5.2 -c
/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src/sparc/v9.S
-o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src/sparc/v9.o
cc: Warning: illegal option -OPT:Olimit=0
cc -G
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/_ctypes.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/callbacks.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/callproc.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/stgdict.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/cfield.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/malloc_closure.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src/prep_cif.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src/sparc/ffi.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src/sparc/v8.o
build/temp.solaris-2.10-sun4u-2.5/export/home/webservd/Source/Python-2.5.2/Modules/_ctypes/libffi/src/sparc/v9.o
-L/export/home/webservd/.software/Python-2.5.2/lib -L/usr/local/lib
-lpython2.5 -o build/lib.solaris-2.10-sun4u-2.5/_ctypes.so -mimpure-text
cc: Warning: illegal option -mimpure-text
*** WARNING: renaming "_ctypes" since importing it failed: ld.so.1:
python: fatal: relocation error: file
build/lib.solaris-2.10-sun4u-2.5/_ctypes.so: symbol alloca: referenced
symbol not found
running build_scripts
msg72577 - (view) Author: Michael Schmarck (mschmarck) Date: 2008-09-05 09:46
This does not happen when I use GCC to build Python.

--($ ~/Source/gccPy/Python-2.5.2)-- /usr/sfw/bin/gcc -v
Reading specs from /usr/sfw/lib/gcc/sparc-sun-solaris2.10/3.4.3/specs
Configured with:
/sfw10/builds/build/sfw10-patch/usr/src/cmd/gcc/gcc-3.4.3/configure
--prefix=/usr/sfw --with-as=/usr/ccs/bin/as --without-gnu-as
--with-ld=/usr/ccs/bin/ld --without-gnu-ld --enable-languages=c,c++
--enable-shared
Thread model: posix
gcc version 3.4.3 (csl-sol210-3_4-branch+sol_rpath)
msg72578 - (view) Author: Michael Schmarck (mschmarck) Date: 2008-09-05 09:50
It works fine in 2.6b3, however (I only tested Sun Studio 12).
msg72618 - (view) Author: Thomas Heller (theller) * (Python committer) Date: 2008-09-05 18:48
The libffi library in Python 2.5 is too old and won't be upgraded to a
newer version.

I see several possibilities for you:

- Use Python 2.6 (if you can live with the beta or wait for the release)

- Use Python 2.5, compile with GCC

- Use Python 2.5, and build/install the ctypes version from Python SVN
trunk as add-on module, it is available here:
http://svn.python.org/projects/ctypes/branches/ctypes-1.1/

Closing as wont fix, sorry.
History
Date User Action Args
2008-09-05 18:48:25thellersetstatus: open -> closed
resolution: wont fix
messages: + msg72618
2008-09-05 09:50:58mschmarcksetmessages: + msg72578
2008-09-05 09:46:05mschmarcksetmessages: + msg72577
2008-09-05 07:48:42mschmarckcreate